SDL_GetNumberProperty(3)

NAME
SDL_GetNumberProperty - Get a number property from a group of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

Sint64 SDL_GetNumberProperty(SDL_PropertiesID props, const char *name, Sint64 default_value);

DESCRIPTION
You can use SDL_GetPropertyType () to query whether the property exists and is a number property.

FUNCTION PARAMETERS

props
    the properties to query.

name
    the name of the property to query.

default_value
    the default value of the property.

RETURN VALUE
( Sint64 ) Returns the value of the property, or default_value if it is not set or not a number property.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetPropertyType(3), •(3), SDL_HasProperty(3), •(3), SDL_SetNumberProperty(3)